Subject: Re: netatalk, zones & routers

From: Jon Piesing <[email-masked]>
Date: Thu, 20 Jan 94 11:29:38 GMT

Thanks it works now. My understanding of AppleTalk networking and the
role/importance of routers was very limited and is now merely limited.

I started the router netatalk with the rest of the network running and
things were a little weird for a while. The Suns and Macs could talk to
each other but the Suns were not very happy doing aecho to each other
until I killed and re-started all the daemons.

Jon

> From [email-masked] Thu Jan 20 00:58:41 1994
> To: Jon Piesing <[email-masked]>
> Cc: [email-masked]
> Subject: Re: netatalk, zones & routers
> Date: Wed, 19 Jan 1994 18:18:17 -0500
> Content-Length: 1654
> X-Lines: 46
> 
> > From:    Jon Piesing <[email-masked]>
> > To:      [email-masked]
> 
> > This question really belongs in an FAQ but I haven't managed to
> > find one so ......
> 
> There is one, for anon-ftp in terminator.  However, I don't think it
> would answer any of the questions you've posed.
> 
> > Does this mean that atalkd would let Macs on the two different networks
> > talk to each other?
> 
> Yes, certainly.  The machine I sit at acts as a router for a variety of
> machines, for AppleTalk and IP.
> 
> > The atalkd.conf file for the gateway Sun is :-
> 
> > # le1 = network all Macs are currently connected to
> > le1 -phase 2
> > # le0 - network we would like to connect some Macs to
> > le0 -seed -phase 2 -net 9461-9471 -zone PRL
> 
> > The atalkd.conf file for the Sun connected to the same network as le0
> > above is :-
> 
> > le0 -phase 2 -net 9461 -zone PRL
> 
> So, it appears that you don't have any AppleTalk routers, other than
> the netatalk machine you're trying to bring up.  If that's the case,
> then the le1 interface will need to have network numbers defined.  For
> instance, your atalkd.conf on the router could be
> 
>     le0 -seed -phase 2 -net 1 -zone PRL
>     le1 -seed -phase 2 -net 2 -zone PRL
> 
> If you do have another router on the le1 interface, then you
> configuration is fine, if a little esoteric, e.g. do you really need
> room for 2500 nodes on the le0 interface?
> 
> Just in general, the non-routing machine doesn't need an atalkd.conf,
> at all.  It will dynamically configure.  Having (incorrect) information
> in a machine's atalkd.conf can cause problems similar to what you
> describe, since atalkd is not as good as it could be at ignoring
> incorrect information.
> 
> :wes
>